package com.css.txw.mhzc.service;

import com.css.txw.mhzc.pojo.QyrzReqDTO;
import com.css.txw.mhzc.pojo.YhxxbDTO;
import com.css.txw.mhzc.pojo.vo.CompanySpReqVO;
import com.css.txw.mhzc.pojo.vo.CompanyVO;
import com.css.txw.mhzc.pojo.vo.RegisterCompanyReqVO;
import com.css.txw.mhzc.pojo.domain.TxwMhzcQyxxbDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_mhzc_qyxxb(企业信息表)】的数据库操作Service
* @createDate 2025-09-11 14:10:56
*/
public interface TxwMhzcQyxxbService extends IService<TxwMhzcQyxxbDO> {

    String register(RegisterCompanyReqVO reqDTO);

    String qyRzSp(CompanySpReqVO reqVO);

    String qyrz(QyrzReqDTO reqDTO);

    List<CompanyVO> getQyxxListByYwlx(String ywlx);

    YhxxbDTO intQyxxByDid(YhxxbDTO qyxx); 

}
